Get Employee Fund
ดึงข้อมูลกองทุนของพนักงานตาม ID สมาชิกกองทุน (fund_employee_id)
Endpoint
GET /api/v1/open-apis/employee/get-employee-data-filter?path_action=get-fundQuery Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
path_action | string | Yes | ต้องเป็น get-fund |
fund_employee_id | string | Yes | ID สมาชิกกองทุน (Base64 encoded) |
Response Format
Success Response
{
"code": 200,
"message": "สำเร็จ",
"payload": {
"fund_employee_id": "20260215FE01A2B3C4D5",
"fund_id": "20260215FD01A2B3C4D5",
"employee_id": "20260215EM01A2B3C4D5",
"fund_employee_no": "M001",
"fund_employee_date": "2024-01-15",
"fund_employee_type": "01",
"fund_employee_rate": 3,
"fund_company_type": "01",
"fund_company_rate": 3,
"fund_employee_beneficiary": "นางสาวทดสอบ ระบบ",
"fund_employee_remark": "",
"fund_employee_balance": 50000,
"fund_company_balance": 50000
}
}Response Fields
| Field | Type | Description |
|---|---|---|
fund_employee_id | string | ID สมาชิกกองทุน |
fund_id | string | ID กองทุน |
employee_id | string | ID พนักงาน |
fund_employee_no | string | เลขที่สมาชิกกองทุน |
fund_employee_date | string | วันที่เข้าร่วมกองทุน |
fund_employee_type | string | วิธีคำนวณหักพนักงาน: 01 = %, 02 = บาท, 03 = สูตร |
fund_employee_rate | number | อัตราหักพนักงาน |
fund_company_type | string | วิธีคำนวณสมทบบริษัท: 01 = %, 02 = บาท, 03 = สูตร |
fund_company_rate | number | อัตราสมทบบริษัท |
fund_employee_beneficiary | string | ชื่อผู้รับผลประโยชน์ |
fund_employee_remark | string | หมายเหตุ |
fund_employee_balance | number | ยอดสะสมกองทุนพนักงาน |
fund_company_balance | number | ยอดสะสมกองทุนบริษัท |
fund_employee_id ที่ส่งใน request ต้องเป็น Base64 encoded แต่ค่าที่ได้ใน response จะเป็น plain text
Error Response
{
"code": 400,
"message": "ไม่สำเร็จ",
"error": "Fund employee record not found with id: MjAyNjAyMTVGRTAxQTJCM0M0RDU="
}Code Examples
cURL
curl -X GET "https://openapi.humansoft.co.th/api/v1/open-apis/employee/get-employee-data-filter?path_action=get-fund&fund_employee_id=MjAyNjAyMTVGRTAxQTJCM0M0RDU=" \
-H "Ocp-Apim-Subscription-Key: YOUR_API_KEY"Related APIs
- List Funds - ดึงรายการกองทุนทั้งหมด
- Add Fund - เพิ่มกองทุนให้พนักงาน
- Update Fund - แก้ไขข้อมูลกองทุน
- Delete Fund - ลบกองทุน (ออกจากกองทุน)
- Pause Fund - เปิด/ปิดกองทุน
- Pull Back Fund - ดึงข้อมูลกองทุนกลับมาจาก log
Last updated on